Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# CosNotifyChannelAdmin::ConsumerAdmin Interface Reference

Interface used to control and obtain the proxies used by consumers. More...

`import "CosNotifyChannelAdmin.idl";`

Inheritance diagram for CosNotifyChannelAdmin::ConsumerAdmin:

[legend]
Collaboration diagram for CosNotifyChannelAdmin::ConsumerAdmin:

[legend]
List of all members.

## Public Methods
ProxySupplier | get_proxy_supplier (in ProxyID proxy_id) raises (ProxyNotFound )
| Get an specific ProxySupplier. More...
ProxySupplier | obtain_notification_pull_supplier (in ClientType ctype, out ProxyID proxy_id) raises ( AdminLimitExceeded )
| Create a new pull-style proxy supplier. More...
ProxySupplier | obtain_notification_push_supplier (in ClientType ctype, out ProxyID proxy_id) raises ( AdminLimitExceeded )
| Create a new push-style proxy supplier. More...
void | destroy ()
| Destroy the Admin. More...
## Public Attributes
readonly attribute AdminID | MyID
| The ID assigned to this admin by its event channel. More...
readonly attribute EventChannel | MyChannel
| The event channel this admin belongs to. More...
readonly attribute InterFilterGroupOperator | MyOperator
| How are multiple filters interpreted. More...
attribute CosNotifyFilter::MappingFilter | priority_filter
| A special mapping filter to change the priority property of events. More...
attribute CosNotifyFilter::MappingFilter | lifetime_filter
| A special mapping filter to change the lifetime property of events. More...
readonly attribute ProxyIDSeq | pull_suppliers
| Get the complete list of pull proxy suppliers. More...
readonly attribute ProxyIDSeq | push_suppliers
| Get the complete list of push proxy suppliers. More...

## Detailed Description

Interface used to control and obtain the proxies used by consumers.

## Member Function Documentation

void CosNotifyChannelAdmin::ConsumerAdmin::destroy | ( |  | ) |

| Destroy the Admin.

ProxySupplier CosNotifyChannelAdmin::ConsumerAdmin::get_proxy_supplier | ( | in ProxyID | proxy_id | ) | raises (ProxyNotFound )

  | Get an specific ProxySupplier. Parameters:
  proxy_id | The proxy ID that will be retrieved
  Exceptions:
  ProxyNotFound | if the proxy_id is not found in this ConsumerAdmin

ProxySupplier CosNotifyChannelAdmin::ConsumerAdmin::obtain_notification_pull_supplier | ( | in ClientType | ctype,
|  | out ProxyID | proxy_id
| ) | raises ( AdminLimitExceeded )

  | Create a new pull-style proxy supplier. Parameters:
  ctype | The event format that the ProxySupplier should support
  proxy_id | The ID assigned to the new proxy supplier
  Returns: The new ProxySupplier Exceptions:
  AdminLimitExceeded | if a limit in this admin is reached, such as the maximum number of proxies.

ProxySupplier CosNotifyChannelAdmin::ConsumerAdmin::obtain_notification_push_supplier | ( | in ClientType | ctype,
|  | out ProxyID | proxy_id
| ) | raises ( AdminLimitExceeded )

  | Create a new push-style proxy supplier. Parameters:
  ctype | The event format that the ProxySupplier should support
  proxy_id | The ID assigned to the new proxy supplier
  Returns: The new ProxySupplier Exceptions:
  AdminLimitExceeded | if a limit in this admin is reached, such as the maximum number of proxies.

## Member Data Documentation

attribute CosNotifyFilter::MappingFilter CosNotifyChannelAdmin::ConsumerAdmin::lifetime_filter

| A special mapping filter to change the lifetime property of events.

readonly attribute EventChannel CosNotifyChannelAdmin::ConsumerAdmin::MyChannel

| The event channel this admin belongs to.

readonly attribute AdminID CosNotifyChannelAdmin::ConsumerAdmin::MyID

| The ID assigned to this admin by its event channel.

readonly attribute InterFilterGroupOperator CosNotifyChannelAdmin::ConsumerAdmin::MyOperator

| How are multiple filters interpreted.

attribute CosNotifyFilter::MappingFilter CosNotifyChannelAdmin::ConsumerAdmin::priority_filter

| A special mapping filter to change the priority property of events.

readonly attribute ProxyIDSeq CosNotifyChannelAdmin::ConsumerAdmin::pull_suppliers

| Get the complete list of pull proxy suppliers.

readonly attribute ProxyIDSeq CosNotifyChannelAdmin::ConsumerAdmin::push_suppliers

| Get the complete list of push proxy suppliers.

The documentation for this interface was generated from the following file:

- CosNotifyChannelAdmin.idl